Bug Hunting Session
Bug 103720 - Vertical directions btLr tbRl not available in Text box
Summary: Vertical directions btLr tbRl not available in Text box
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
5.3.0.0.alpha1+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
: 107041 (view as bug list)
Depends on:
Blocks: Textbox Text-Direction-Unification
  Show dependency treegraph
 
Reported: 2016-11-05 11:11 UTC by Volga
Modified: 2019-04-29 17:24 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
Test with Manchu (10.75 KB, application/vnd.oasis.opendocument.text)
2016-11-05 11:16 UTC, Volga
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Volga 2016-11-05 11:11:18 UTC
Description:
Recently LibreOffice have implemented Mongolian/Manchu styled vertical layout {i.e. LTR (vertical) direction), but this have no way to be used into text box.

Steps to Reproduce:
1. Open LODev Writer
2. Format → Page → Page, change Text direction as Left-to-right (vertical), input texts
3. Insert a text box and input texts

Actual Results:  
The text direction of text box remain horizontal, I can making it vertically via “Text direction from top to bottom”, but I cannot use this direction even if I choose Format > Paragraph > Alignment.

Expected Results:
To resolve it, both Page and Paragraph dialog should allow it.


Reproducible: Always

User Profile Reset: No

Additional Info:
Version: 5.3.0.0.alpha1+
Build ID: 32bdc5097013e7efd9c85e1b8df697880e66e925
CPU Threads: 4; OS Version: Windows 6.2; UI Render: default; Layout Engine: new; 
TinderBox: Win-x86@62-merge-TDF, Branch:MASTER, Time: 2016-11-04_23:30:30
Locale: zh-CN (zh_CN); Calc: group


User-Agent: Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:49.0) Gecko/20100101 Firefox/49.0
Comment 1 Volga 2016-11-05 11:16:30 UTC
Created attachment 128507 [details]
Test with Manchu

This is my textcase. All the texts were copied from the following page:
http://abkai.net/core/en/read-me-first/test-troubleshooting/

You can try to get the font from here, which is specifically designed for Manchu and Xibo:
http://abkai.net/core/en/manchu/manchu-fonts/
Comment 2 Volga 2016-11-05 14:23:01 UTC
(In reply to General Kutuzov from comment #1)
> This is my textcase. All the texts were copied from the following page:
> http://abkai.net/core/en/read-me-first/test-troubleshooting/


Errata: That’s incrrect. The original text is from http://abkai.net/core/zh/read-me-first/test-troubleshooting/
Comment 3 V Stuart Foote 2016-11-05 15:26:17 UTC
And if you use a Text Frame rather than a Text Box Draw object?

Insert -> Frame -> Frame Interactively

Manipulation of text in Draw objects is much more limited than handling in Frames.
Comment 4 Volga 2016-11-06 03:32:46 UTC Comment hidden (off-topic)
Comment 5 Volga 2016-11-10 13:57:51 UTC Comment hidden (off-topic)
Comment 6 Volga 2016-11-21 03:54:27 UTC Comment hidden (off-topic)
Comment 7 Buovjaga 2016-11-25 13:16:53 UTC
(In reply to V Stuart Foote from comment #3)
> And if you use a Text Frame rather than a Text Box Draw object?
> 
> Insert -> Frame -> Frame Interactively
> 
> Manipulation of text in Draw objects is much more limited than handling in
> Frames.

Would you say bug 68471 is about this limitation or is there some other report? Could this report by Volga be closed?
Comment 8 Volga 2016-12-23 08:25:57 UTC
(In reply to Buovjaga from comment #7)
> Could this report by Volga be closed?

No. I have found Microsoft Word 2010 is allowing text box switch to this text direction. This can be done by a single button “Text Direction”. 

http://www.mgzwz.com/post-384.html

I suggest LibreOffice merging “Text direction from left to right” and “Text direction from top to bottom” into single button and adding more options into there.
Comment 9 Volga 2017-01-03 14:16:23 UTC
(In reply to Buovjaga from comment #7)
> Could this report by Volga be closed?

This is also required by GB/T 26233-2010 at section 5.
Comment 10 Volga 2017-01-30 14:10:38 UTC
I have tested on LibO 5.3.0.2, text box cannot use this direction even if I set left-to-right (vertical) at the whole page.

1. Open Writer
2. Format -> Page -> Page tab -> Text direction: Left-to-right (vertical)
3. Insert -> Text box & input texts in there
4. Format -> Paragraph -> alignment -> Text direction -> Use superordinate object settings

Then texts in the text box still horizontal.
Comment 11 Buovjaga 2017-04-17 17:04:59 UTC
*** Bug 107041 has been marked as a duplicate of this bug. ***
Comment 12 Volga 2017-04-18 10:49:04 UTC
(In reply to Volga from comment #6)
> Oh yeah, I can use it via inserting table within a frame.

Although I can use this direction within a frame, this is works only in Writer, Calc and Impress does not allow such frame, so I suggest we should making it works with text box and table.
Comment 13 QA Administrators 2018-08-09 02:35:25 UTC Comment hidden (obsolete)
Comment 14 Luke 2019-04-29 17:18:19 UTC
Table support for text direction has now been added:
https://vmiklos.hu/blog/hackweek-2019.html
starting with these commits
https://cgit.freedesktop.org/libreoffice/core/commit/?id=8fdbda18b593e7014e44a0fd590bbf98d83258b7

Text Boxes still need work. After 
https://cgit.freedesktop.org/libreoffice/core/commit/?id=ff17478e069c
we now import bottom to top text in DOCX format. But we should be able to edit this setting and create shapes with this in native ODF documents.

The setting should be in
Format->Text Box and Shape ->Text Attributes->Text
Options: Horizontal, Vertical(top to bottom), Vertical(bottom to top)